Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.index
Class PKIndexSplitter

    java.lang.Object
      org.apache.lucene.index.PKIndexSplitter

    public class PKIndexSplitter

extends Object

Split an index based on a `Filter`.

Constructor Summary
`PKIndexSplitter(org.apache.lucene.store.Directory input, org.apache.lucene.store.Directory dir1, org.apache.lucene.store.Directory dir2, org.apache.lucene.search.Filter docsInFirstIndex)` Deprecated. use `PKIndexSplitter(Version, Directory, Directory, Directory, Filter)` instead. This constructor will be removed in Lucene 4.0.
`PKIndexSplitter(org.apache.lucene.store.Directory input, org.apache.lucene.store.Directory dir1, org.apache.lucene.store.Directory dir2, org.apache.lucene.search.Filter docsInFirstIndex, org.apache.lucene.index.IndexWriterConfig config1, org.apache.lucene.index.IndexWriterConfig config2)`
`PKIndexSplitter(org.apache.lucene.store.Directory input, org.apache.lucene.store.Directory dir1, org.apache.lucene.store.Directory dir2, org.apache.lucene.index.Term midTerm)` Deprecated. use `PKIndexSplitter(Version, Directory, Directory, Directory, Term)` instead. This constructor will be removed in Lucene 4.0.
`PKIndexSplitter(org.apache.lucene.store.Directory input, org.apache.lucene.store.Directory dir1, org.apache.lucene.store.Directory dir2, org.apache.lucene.index.Term midTerm, org.apache.lucene.index.IndexWriterConfig config1, org.apache.lucene.index.IndexWriterConfig config2)`
`PKIndexSplitter(org.apache.lucene.util.Version version, org.apache.lucene.store.Directory input, org.apache.lucene.store.Directory dir1, org.apache.lucene.store.Directory dir2, org.apache.lucene.search.Filter docsInFirstIndex)` Split an index based on a `Filter`.
`PKIndexSplitter(org.apache.lucene.util.Version version, org.apache.lucene.store.Directory input, org.apache.lucene.store.Directory dir1, org.apache.lucene.store.Directory dir2, org.apache.lucene.index.Term midTerm)` Split an index based on a given primary key term and a 'middle' term.

Method Summary
`void` | `split()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PKIndexSplitter

    @Deprecated
    public PKIndexSplitter(org.apache.lucene.store.Directory input,
                                      org.apache.lucene.store.Directory dir1,
                                      org.apache.lucene.store.Directory dir2,
                                      org.apache.lucene.search.Filter docsInFirstIndex)

  Deprecated. use `PKIndexSplitter(Version, Directory, Directory, Directory, Filter)` instead. This constructor will be removed in Lucene 4.0.

  Split an index based on a `Filter`. All documents that match the filter are sent to dir1, remaining ones to dir2.

### PKIndexSplitter

    @Deprecated
    public PKIndexSplitter(org.apache.lucene.store.Directory input,
                                      org.apache.lucene.store.Directory dir1,
                                      org.apache.lucene.store.Directory dir2,
                                      org.apache.lucene.index.Term midTerm)

  Deprecated. use `PKIndexSplitter(Version, Directory, Directory, Directory, Term)` instead. This constructor will be removed in Lucene 4.0.

  Split an index based on a given primary key term and a 'middle' term. If the middle term is present, it's sent to dir2.

### PKIndexSplitter

    public PKIndexSplitter(org.apache.lucene.util.Version version,
                           org.apache.lucene.store.Directory input,
                           org.apache.lucene.store.Directory dir1,
                           org.apache.lucene.store.Directory dir2,
                           org.apache.lucene.search.Filter docsInFirstIndex)

  Split an index based on a `Filter`. All documents that match the filter are sent to dir1, remaining ones to dir2.

### PKIndexSplitter

    public PKIndexSplitter(org.apache.lucene.store.Directory input,
                           org.apache.lucene.store.Directory dir1,
                           org.apache.lucene.store.Directory dir2,
                           org.apache.lucene.search.Filter docsInFirstIndex,
                           org.apache.lucene.index.IndexWriterConfig config1,
                           org.apache.lucene.index.IndexWriterConfig config2)

### PKIndexSplitter

    public PKIndexSplitter(org.apache.lucene.util.Version version,
                           org.apache.lucene.store.Directory input,
                           org.apache.lucene.store.Directory dir1,
                           org.apache.lucene.store.Directory dir2,
                           org.apache.lucene.index.Term midTerm)

  Split an index based on a given primary key term and a 'middle' term. If the middle term is present, it's sent to dir2.

### PKIndexSplitter

    public PKIndexSplitter(org.apache.lucene.store.Directory input,
                           org.apache.lucene.store.Directory dir1,
                           org.apache.lucene.store.Directory dir2,
                           org.apache.lucene.index.Term midTerm,
                           org.apache.lucene.index.IndexWriterConfig config1,
                           org.apache.lucene.index.IndexWriterConfig config2)

Method Detail

### split

    public void split()
               throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD